Subject: Re: [PATCH 37/65] powerpc/mm/radix: Add tlbflush routines

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Mon, 28 Mar 2016 23:28:15 +0530

kbuild test robot <[email-masked]> writes:

> [ text/plain ]
> Hi Aneesh,
>
> [auto build test ERROR on powerpc/next]
> [also build test ERROR on v4.6-rc1 next-20160324]
> [if your patch is applied to the wrong git tree, please drop us a note to help improving the system]
>
> url:    https://github.com/0day-ci/linux/commits/Aneesh-Kumar-K-V/powerpc-mm-Use-big-endian-page-table-for-book3s-64/20160327-174557
> base:   https://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux.git next
> config: x86_64-randconfig-x001-201613 (attached as .config)
> reproduce:
>         # save the attached .config to linux build tree
>         make ARCH=x86_64 
>
> All errors (new ones prefixed by >>):
>
>    kernel/fork.c: In function 'mm_alloc':
>>> kernel/fork.c:675:13: error: 'mm_context_t {aka struct <anonymous>}' has no member named 'id'
>      mm->context.id = MMU_NO_CONTEXT;
>                 ^
>>> kernel/fork.c:675:19: error: 'MMU_NO_CONTEXT' undeclared (first use in this function)
>      mm->context.id = MMU_NO_CONTEXT;
>                       ^
>    kernel/fork.c:675:19: note: each undeclared identifier is reported only once for each function it appears in
>
> vim +675 kernel/fork.c
>
>    669			return NULL;
>    670	
>    671		memset(mm, 0, sizeof(*mm));
>    672		/*
>    673		 * FIXME!! we need a better way handle this
>    674		 */
>  > 675		mm->context.id = MMU_NO_CONTEXT;
>    676		return mm_init(mm, current);
>    677	}
>    678	
>

I added that change during development, based on some issue I hit that
time (with a note to fix this correctly later). Now looking back I don't
recollect what the bug was about. AFAIU the following mm_init() should
properly initialize the context.id and we should not hit a tlbflush in between.

Hence for now I will remove this hunk.

-aneesh